{% extends "docs/base_docs.html" %} {% block docs_content %}

API: {{ group.title }}

{{ group.description }}

Elke HTML-route geeft JSON terug met Accept: application/json. Authenticatie: sessiecookie, X-API-KEY, Authorization: Bearer of Basic.

{% for item in endpoints %}
{{ item.method }}{{ item.path }}{{ item.min_role }}
{{ item.title }} {% if item.description %}

{{ item.description }}

{% endif %} {% if item.fields %} {% for f in item.fields %}{% endfor %}
VeldTypePlekVerplicht
{{ f.name }}{% if f.enum %}
Toegestaan: {{ f.enum | join(', ') }}
{% endif %}
{{ f.type }}{{ f.location }}{{ 'ja' if f.required else 'nee' }}
{% endif %}
{% if item.interactive %}{% endif %}
{{ item.curl }}
{% if item.interactive %} {% endif %}
{% endfor %} {% if services %}

Live services

{% for service in services %}
{{ service.title }} {{ service.name }}

{{ service.description }}

Velden: {% for f in service.fields %}{{ f.key }} ({{ f.type }}){% if not loop.last %}, {% endif %}{% endfor %}

{% endfor %} {% endif %} {% endblock %} {% block extra_js %}{% endblock %}